﻿$ErrorActionPreference = 'Stop';
$packageArgs = @{
	packageName    = 'geforce-game-ready-driver'
	fileType       = 'EXE'
	url64          = 'https://us.download.nvidia.com/Windows/445.75/445.75-desktop-win10-64bit-international-whql.exe'
	checksum64     = 'd1e4f6b2825babd5c17c625c360044f252e05fb70117df3cea153e4f13af1fe0'
	checksumType64 = 'sha256'
	silentArgs     = '-s -noreboot'
	validExitCodes = @(0,1)
	softwareName   = 'NVIDIA Graphics Driver*'
}

If ( [System.Environment]::OSVersion.Version.Major -ne '10' ) {
	$packageArgs['url64']      = 'https://us.download.nvidia.com/Windows/445.75/445.75-desktop-win8-win7-64bit-international-whql.exe'
	$packageArgs['checksum64'] = '75eb2c209e8016817b3fe1cd20cc497edee4c98a811b10e41b2395d210d9f68d'
}

$pp = Get-PackageParameters
If ($pp['dch'] -eq 'true') {
	$packageArgsDCHURL      = 'https://us.download.nvidia.com/Windows/445.75/445.75-desktop-win10-64bit-international-dch-whql.exe'
	$packageArgsDCHChecksum = '57728c2f11ec121d989983df8f7066bdcaa11769329cab8e2c500df704b7d7d6'
	$packageArgs['url64']      = $packageArgsDCHURL
	$packageArgs['checksum64'] = $packageArgsDCHChecksum
}

If ( -not (Get-OSArchitectureWidth -compare 64) ) {
	Write-Warning "NVIDIA has ended support for 32bit operating systems."
	Write-Warning "32 bit users should specify version 391.35."
	Write-Warning "Security patches for 32bit may be available on geforce.com"
	Write-Error "32 bit no longer supported."
}

Install-ChocolateyPackage @packageArgs

Write-Host "The package 'nvidia-display-driver' is also available for those who don't want or need the extra software bundled with the conventional geforce package."
